Bug 147901 - USB scanner stopped working after upgrade to FC3 (timed out on ep0[in|out])
USB scanner stopped working after upgrade to FC3 (timed out on ep0[in|out])
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-12 08:15 EST by Frode Tennebø
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-27 23:43:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frode Tennebø 2005-02-12 08:15:12 EST
Description of problem:
I have an HP C6270A USB scanner and a freshly installed FC3 (with updates). 
Plugging in the scanner and trying to do a scan using sane (xsane/gimp) gives:

Feb 12 12:47:28 leia kernel: usb 1-2: new full speed USB device using uhci_hcd 
and address 2
Feb 12 12:47:32 leia hald[4882]: Timed out waiting for hotplug event 704. 
Rebasing to 705
Feb 12 12:47:33 leia kernel: usb 1-2: 05-wait_for_sys timed out on ep0in
Feb 12 12:47:38 leia kernel: usb 1-2: 05-wait_for_sys timed out on ep0in
Feb 12 12:47:43 leia kernel: usb 1-2: hald timed out on ep0in
Feb 12 12:48:08 leia last message repeated 5 times
Feb 12 12:53:52 leia kernel: usb 1-2: xsane timed out on ep0out
Feb 12 12:54:31 leia kernel: usb 1-2: xsane timed out on ep0out
Feb 12 12:54:56 leia last message repeated 2 times
Feb 12 12:55:57 leia kernel: usb 1-2: xsane timed out on ep1in
Feb 12 12:55:57 leia kernel: usb 1-2: usbfs: USBDEVFS_BULK failed ep 0x81 len 
4096 ret -110
Feb 12 12:56:02 leia kernel: usb 1-2: xsane timed out on ep0out
Feb 12 12:56:32 leia kernel: usb 1-2: xsane timed out on ep1in
Feb 12 12:56:32 leia kernel: usb 1-2: usbfs: USBDEVFS_BULK failed ep 0x81 len 
4096 ret -110
Feb 12 12:57:17 leia kernel: usb 1-2: xsane timed out on ep2out
Feb 12 12:57:17 leia kernel: usb 1-2: usbfs: USBDEVFS_BULK failed ep 0x2 len 2 
ret -110
Feb 12 12:59:01 leia kernel: usb 1-2: xsane timed out on ep2out
Feb 12 12:59:01 leia kernel: usb 1-2: usbfs: USBDEVFS_BULK failed ep 0x2 len 2 
ret -110
Feb 12 12:59:47 leia kernel: usb 1-2: xsane timed out on ep2out
Feb 12 12:59:47 leia kernel: usb 1-2: usbfs: USBDEVFS_BULK failed ep 0x2 len 2 
ret -110
Feb 12 13:01:00 leia kernel: usb 1-2: xsane timed out on ep2out
Feb 12 13:01:00 leia kernel: usb 1-2: usbfs: USBDEVFS_BULK failed ep 0x2 len 2 
ret -110
Feb 12 13:14:06 leia kernel: usb 1-2: xsane timed out on ep1in
Feb 12 13:14:06 leia kernel: usb 1-2: usbfs: USBDEVFS_BULK failed ep 0x81 len 
4096 ret -110
Feb 12 13:14:11 leia kernel: usb 1-2: xsane timed out on ep0out
Feb 12 13:14:42 leia kernel: usb 1-2: xsane timed out on ep2out
Feb 12 13:14:42 leia kernel: usb 1-2: usbfs: USBDEVFS_BULK failed ep 0x2 len 7 
ret -110


Version-Release number of selected component (if applicable):
[root@leia usr]# rpm -q kernel
kernel-2.6.10-1.760_FC3
You have new mail in /var/spool/mail/root
[root@leia usr]# rpm -qa | grep sane
sane-backends-devel-1.0.15-1.4
libsane-hpoj-0.91-9
sane-backends-1.0.15-1.4
sane-frontends-1.0.12-4
xsane-0.92-13
xsane-gimp-0.92-13
[root@leia etc]# rpm -q hpoj
hpoj-0.91-9

I have recompilled the kernel to get eata scsi support. Here's the delta: 

[ft@leia linux-2.6.10]$ diff .config configs/kernel-2.6.10-i686.config |grep ^\<
< # Linux kernel version: 2.6.10-prep
< # Sun Feb  6 01:25:19 2005
< # CONFIG_M686 is not set
< CONFIG_MPENTIUMII=y
< # CONFIG_PM is not set
< # CONFIG_ACPI is not set
< # CONFIG_CPU_FREQ is not set
< CONFIG_PCI_NAMES=y
< CONFIG_HOTPLUG_PCI=m
< # CONFIG_HOTPLUG_PCI_SHPC_PHPRM_LEGACY is not set
< CONFIG_SCSI_EATA=m
< CONFIG_SCSI_EATA_TAGGED_QUEUE=y
< CONFIG_SCSI_EATA_LINKED_COMMANDS=y
< CONFIG_SCSI_EATA_MAX_TAGS=16

How reproducible:
always.

Steps to Reproduce:
1. Insert scanner in usb plug
2. Start gimp/xsane
3. Scan
  
Actual results:
Nothing, except for above errors.

Expected results:
No errors and a pretty scan?

Additional info:
Comment 1 Dave Jones 2005-07-15 14:17:25 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Frode Tennebø 2005-07-30 12:24:00 EDT
I've updated to FC4. Not quite sure what's going on. The error is not exactly 
the same, but the end-result is the same: No scans.

With FC3 I was able to work around the problem by loading the hpusbscsi driver. 
This seemed to fix the problem (sort of). This modules has been removed from the 
kernel so I can't test this now.

What I get now is:

Jul 30 17:52:23 leia kernel: usb 1-2: new full speed USB device using uhci_hcd 
and address 9
Jul 30 17:52:24 leia kernel: usb 1-2: device not accepting address 9, error -71
Jul 30 17:52:24 leia kernel: usb 1-2: new full speed USB device using uhci_hcd 
and address 10

[ft@leia ~]$ sane-find-scanner

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a SCSI driver for your SCSI adapter.
  # Also you need support for SCSI Generic (sg) in your operating system.
  # If using Linux, try "modprobe sg".

found USB scanner (vendor=0x03f0 [Hewlett-Packard], product=0x0201 [HP ScanJet 
6200C]) at libusb:001:011

:
:

[ft@leia ~]$ scanimage -L
Segmentation fault
[ft@leia ~]$ scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
[ft@leia ~]$ scanimage -L
scanimage: hp-option.c:3710: hp_optset_fix_geometry_options: Assertion `tl_x && 
tl_y && br_x && br_y' failed.
Aborted
:
:
[ft@leia ~]$ scanimage -L
device `hp:libusb:001:011' is a Hewlett-Packard ScanJet 62x0C flatbed scanner

(*puh*)

[ft@leia ~]$ scanimage -d hp:libusb:001:011 > test.pnm
Segmentation fault
[ft@leia ~]$ scanimage -d hp:libusb:001:011 > test.pnm
scanimage: sane_start: Error during device I/O
[ft@leia ~]$ scanimage -d hp:libusb:001:011 > test.pnm
scanimage: sane_start: Error during device I/O
[ft@leia ~]$ scanimage -d hp:libusb:001:011 > test.pnm
scanimage: sane_start: End of file reached
[ft@leia ~]$ scanimage -d hp:libusb:001:011 > test.pnm
scanimage: open of device hp:libusb:001:011 failed: Invalid argument
[ft@leia ~]$ scanimage -d hp:libusb:001:011 > test.pnm
scanimage: open of device hp:libusb:001:011 failed: Invalid argument
[ft@leia ~]$ scanimage -d hp:libusb:001:011 > test.pnm
scanimage: open of device hp:libusb:001:011 failed: Invalid argument

No dice.
Comment 3 Dave Jones 2005-09-30 02:37:09 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 4 Dave Jones 2005-11-10 14:38:49 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 Dave Jones 2005-12-27 23:43:26 EST
This bug has been mass-closed along with other bugs that have been in NEEDINFO
state for several months.

Due to the large volume of inactive bugs in bugzilla, this is the only method we
have of cleaning out stale bug reports where the reporter has disappeared.

If you can reproduce this bug after installing all the current updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting it be reopened,
and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.